//---------------------------------------------------------------------
//  Algorithmic Conjurings @ http://www.coyotegulch.com
//
//  Itzam - An Embedded Database Engine
//
//  itzam_debug.h
//
//---------------------------------------------------------------------
//
//  Copyright 2004, 2005 Scott Robert Ladd
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the
//      Free Software Foundation, Inc.
//      59 Temple Place - Suite 330
//      Boston, MA 02111-1307, USA.
//
//-----------------------------------------------------------------------
//
//  For more information on this software package, please visit
//  Scott's web site, Coyote Gulch Productions, at:
//
//      http://www.coyotegulch.com
//
//-----------------------------------------------------------------------

#if !defined(LIBITZAM_ITZAM_DEBUG_H)
#define LIBITZAM_ITZAM_DEBUG_H

#include "itzam.h"

#if defined(__cplusplus)
extern "C" {
#endif

void analyze_datafile(itzam_datafile * datafile, FILE * output);
void dump_page(itzam_btree * btree, itzam_btree_page * page);
void dump_btree(itzam_btree * btree);
void analyze_btree(itzam_btree * btree, FILE * output);
void cache_dump(itzam_btree * btree);

#if defined(__cplusplus)
}
#endif

#endif
